Bug 840066 - sanlock: use daemon --user root in init script
sanlock: use daemon --user root in init script
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sanlock (Show other bugs)
6.3
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: David Teigland
Haim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 11:34 EDT by David Teigland
Modified: 2016-04-26 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 14:56:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2012-07-13 11:34:17 EDT
Description of problem:

Make root user explicit to init.

Use sanlock with leases on SAN and NFS to test this.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 David Teigland 2012-07-17 10:47:52 EDT
Just run a basic test using an nfs storage domain.  To do extra verification, you could use nfs domains from different vendor's servers.

Root squashing on nfs can cause problems when sanlock (which runs as root), tries to access files.  sanlock adds itself to additional groups to give itself permission based on its group id rather than user id.
Comment 3 David Teigland 2012-07-18 14:56:00 EDT
We've had to go back to running as non-root.

Note You need to log in before you can comment on or make changes to this bug.